Linked by Thom Holwerda on Tue 22nd Feb 2011 22:44 UTC
Google "We are pleased to announce that the full SDK for Android 3.0 is now available to developers. The APIs are final, and you can now develop apps targeting this new platform and publish them to Android Market. The new API level is 11. For an overview of the new user and developer features, see the Android 3.0 Platform Highlights. Together with the new platform, we are releasing updates to our SDK Tools (r10) and ADT Plugin for Eclipse (10.0.0)."
Thread beginning with comment 463734
To view parent comment, click here.
To read all comments associated with this story, please click here.
RE: Not a developer
by asdf on Wed 23rd Feb 2011 19:19 UTC in reply to "Not a developer"
asdf
Member since:
2009-09-23

2.3: The newest for phones right now.

2.4: For phones, mostly the same with 2.3. This will be a update mostly to enable apps written for 3.0 to run on phones.

3.0: For tablet only.

Ice Cream: Version number not announced yet. This will bring 2.x and 3.x lines together and provide a single version for both phones and tablets.

My heart too is severely broken and bleeding that the bastards at google cheated you with three months!!! of waiting. How dare they! But rest assured that the latest update for your phone is being rolled out.

Gees...

Reply Parent Score: 1

RE[2]: Not a developer
by JAlexoid on Wed 23rd Feb 2011 20:07 in reply to "RE: Not a developer"
JAlexoid Member since:
2009-05-19

2.3: The newest for phones right now.

2.4: For phones, mostly the same with 2.3. This will be a update mostly to enable apps written for 3.0 to run on phones.


2.4, if it ever comes out, will not be "the version that supports tablet apps on the phone". Google devs are already planning on releasing the library that will bridge the gap(I guess I am the only one that actually reads the android-developers group messages). And the library will work on devices down to version 2.1 and possibly version 1.6.

Reply Parent Score: 2

I appreciate the sympathy
by wocowboy on Wed 23rd Feb 2011 20:44 in reply to "RE: Not a developer"
wocowboy Member since:
2006-06-01

Thank you, I appreciate the sympathy. I will get back to you in another 3 months if my phone still hasn't received this 2.3.3 update "over the next few weeks".

2.3.3 is the most current version for phones, to correct your numbering.

It is the same situation as the fact that the next generation of cellphones, in order for them to be used anywhere in the U.S. for example, will need to support the following:

For GSM: EDGE, 3G, HSDPA+, and LTE because all these standards will be in use, depending on where you live. I doubt there will ever be a 4G-only or LTE-only phone, just as there isn't a 3G-only phone.

Reply Parent Score: 1